MongoDB::getReadPreference
MongoDB::lastError
MongoDB
PHP Manual

# MongoDB::getSlaveOkay

(PECL mongo >=1.1.0)

MongoDB::getSlaveOkay — Get slaveOkay setting for this database

### Description

public bool MongoDB::getSlaveOkay ( void )

See the query section of this manual for information on distributing reads to secondaries.

### Parameters

This function has no parameters.

### Return Values

Returns the value of slaveOkay for this instance.

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.

### See Also

- Read Preferences
- MongoDB::getReadPreference() - Get the read preference for this database
- MongoDB::setReadPreference() - Set the read preference for this database

MongoDB::getReadPreference
MongoDB::lastError
MongoDB
PHP Manual